--TEST--
basic #7 - basic context
--DESCRIPTION--
basic context - compiling with a basic context
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'Goodbye
{{cruel}}
{{world}}!';
$context = array(
        'cruel' => 'cruel',
        'world' => 'world',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Goodbye
cruel
world!