--TEST--
data #4 - data
--DESCRIPTION--
data - parameter data can be looked up via @foo
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{hello @world}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'hello' => function($noun) { return "Hello " . $noun; }/*function (noun) {
        return 'Hello ' + noun;
      }*/,
    ));
$options = array(
        'data' => array(
            'world' => 'world',
        ),
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Hello world