--TEST--
helpers #24 - helpers hash
--DESCRIPTION--
helpers hash - providing a helpers hash
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'Goodbye {{#iter}}{{cruel}} {{world}}{{/iter}}!';
$context = array(
        'iter' => array(
            array(
                'cruel' => 'cruel',
            ),
        ),
    );
$helpers = new DefaultRegistry(array(
        'world' => function() { return 'world'; }/*function () { return 'world'; }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Goodbye cruel world!