--TEST--
helpers #47 - helperMissing
--DESCRIPTION--
helperMissing - if a context is not found, helperMissing is used
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{hello}} {{link_to world}}';
$context = NULL;
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
/* Error message: /Missing helper: "link_to"/ */
--EXPECTF--
%AUncaught%A